Ship a subscription immediately
POST
/api/subscriptions/{id}/ship-now
const url = 'https://api.usegro.co/api/subscriptions/example/ship-now';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"delivery_date":"example","slot_id":"example","production_date":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.usegro.co/api/subscriptions/example/ship-now \ --header 'Content-Type: application/json' \ --data '{ "delivery_date": "example", "slot_id": "example", "production_date": "example" }'Triggers immediate billing and shipment of a subscription. The job runs asynchronously; the response confirms the billing attempt has been initiated.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
delivery_date
string
slot_id
string
production_date
string
Example generated
{ "delivery_date": "example", "slot_id": "example", "production_date": "example"}Responses
Section titled “Responses”Billing attempt initiated
Media typeapplication/json
object
success
required
boolean
message
required
string
Example generated
{ "success": true, "message": "example"}Subscription is not billable or has no Shopify contract
Media typeapplication/json
Example
{ "success": false, "error": "Subscription is not billable: PAUSED", "errorCode": "NOT_BILLABLE"}